Module java.desktop
Package javax.swing

# Enum Class GroupLayout.Alignment

java.lang.Object
java.lang.Enum<GroupLayout.Alignment>
javax.swing.GroupLayout.Alignment

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupLayout.Alignment>`, `Constable`

Enclosing class:
  `GroupLayout`

public static enum GroupLayout.Alignment extends Enum<GroupLayout.Alignment>
Enumeration of the possible ways `ParallelGroup` can align its children.

Since:
  1.6
See Also:
  - `GroupLayout.createParallelGroup(Alignment)`

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASELINE`
Indicates the elements should be aligned along their baseline.
`CENTER`
Indicates the elements should be centered in the region.
`LEADING`
Indicates the elements should be aligned to the origin.
`TRAILING`
Indicates the elements should be aligned to the end of the region.

## Method Summary

Modifier and Type
Method
Description
`static GroupLayout.Alignment`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GroupLayout.Alignment[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEADING

public static final GroupLayout.Alignment LEADING
Indicates the elements should be aligned to the origin. For the horizontal axis with a left to right orientation this means aligned to the left edge. For the vertical axis leading means aligned to the top edge.

See Also:
  - `GroupLayout.createParallelGroup(Alignment)`

### TRAILING

public static final GroupLayout.Alignment TRAILING
Indicates the elements should be aligned to the end of the region. For the horizontal axis with a left to right orientation this means aligned to the right edge. For the vertical axis trailing means aligned to the bottom edge.

See Also:
  - `GroupLayout.createParallelGroup(Alignment)`

### CENTER

public static final GroupLayout.Alignment CENTER
Indicates the elements should be centered in the region.

See Also:
  - `GroupLayout.createParallelGroup(Alignment)`

### BASELINE

public static final GroupLayout.Alignment BASELINE
Indicates the elements should be aligned along their baseline.

See Also:
  - `GroupLayout.createParallelGroup(Alignment)`
  - `GroupLayout.createBaselineGroup(boolean,boolean)`

## Method Details

### values

public static GroupLayout.Alignment[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GroupLayout.Alignment valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null